import { Coin, CoinAmino } from "../../base/v1beta1/coin";
import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * GenesisState defines the crisis module's genesis state.
 * @name GenesisState
 * @package cosmos.crisis.v1beta1
 * @see proto type: cosmos.crisis.v1beta1.GenesisState
 */
export interface GenesisState {
    /**
     * constant_fee is the fee used to verify the invariant in the crisis
     * module.
     */
    constantFee: Coin;
}
export interface GenesisStateProtoMsg {
    typeUrl: "/cosmos.crisis.v1beta1.GenesisState";
    value: Uint8Array;
}
/**
 * GenesisState defines the crisis module's genesis state.
 * @name GenesisStateAmino
 * @package cosmos.crisis.v1beta1
 * @see proto type: cosmos.crisis.v1beta1.GenesisState
 */
export interface GenesisStateAmino {
    /**
     * constant_fee is the fee used to verify the invariant in the crisis
     * module.
     */
    constant_fee: CoinAmino;
}
export interface GenesisStateAminoMsg {
    type: "cosmos-sdk/GenesisState";
    value: GenesisStateAmino;
}
/**
 * GenesisState defines the crisis module's genesis state.
 * @name GenesisState
 * @package cosmos.crisis.v1beta1
 * @see proto type: cosmos.crisis.v1beta1.GenesisState
 */
export declare const GenesisState: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is GenesisState;
    isAmino(o: any): o is GenesisStateAmino;
    encode(message: GenesisState, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): GenesisState;
    fromPartial(object: DeepPartial<GenesisState>): GenesisState;
    fromAmino(object: GenesisStateAmino): GenesisState;
    toAmino(message: GenesisState): GenesisStateAmino;
    fromAminoMsg(object: GenesisStateAminoMsg): GenesisState;
    toAminoMsg(message: GenesisState): GenesisStateAminoMsg;
    fromProtoMsg(message: GenesisStateProtoMsg): GenesisState;
    toProto(message: GenesisState): Uint8Array;
    toProtoMsg(message: GenesisState): GenesisStateProtoMsg;
    registerTypeUrl(): void;
};
